---@type ChadrcConfig
local M = {}

-- Path to overriding theme and highlights files
local highlights = require "highlights"
M.ui = {
  theme = "lunar_witch",

  hl_override = highlights.override,
  hl_add = highlights.add,

  statusline = {
    order = { "mode", "file", "git", "%=", "lsp_msg", "%=", "diagnostics", "lsp", "cwd", "cursor", "grapple" },
    modules = {
      cursor = function()
        return "%#St_pos_sep#" .. "" .. "%#St_pos_icon# %#St_pos_text# [%l,%c]"
      end,
      grapple = require("grapple").statusline,
    },
  },
}

return M
